@echo off
@rem creates __DelphiVersion.cmd file that sets DelphiVer
setlocal
set CallingCmdName=%~n1
set DelphiVer=%CallingCmdName:~15%
call %~dp0\_DetermineProject.cmd
echo Switching project %project% to Delphi %DelphiVer%
@rem no longer copy the .dproj file, we directly use the <projekt>.<delhpiver>.dproj files now
@rem copy .\src\%project%%DelphiVer%.dproj .\src\%project%.dproj

@rem There should actually be *NO* space between the Delphi version and the gt sign,
@rem but since I forget about this all the time, I changed _doBuildProject to strip
@rem any spaces after calling __SetDelphiVersion.cmd
echo set DelphiVer=%DelphiVer% > __SetDelphiVersion.cmd
endlocal